"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = (got) => {
    return {
        async list() {
            const home = await got.get(`home`).json();
            return home.deviceSets;
        },
        // TODO add device-set management APIs
        //  * createDeviceSet
        //  * deleteDeviceSet
        //  * updateDeviceSet
        //  * updateDeviceSetConfig
        async setIsOn({ id, isOn }) {
            await got
                .patch(`devices/set/${id}`, {
                json: [
                    {
                        attributes: {
                            isOn,
                        },
                    },
                ],
            })
                .json();
        },
        async setAttributes({ id, attributes, transitionTime, }) {
            await got
                .patch(`devices/set/${id}`, {
                json: [
                    {
                        attributes,
                        transitionTime,
                    },
                ],
            })
                .json();
        },
    };
};
